Get GIF by ID returns a GIF’s metadata based on the GIF ID specified.
| URL |
|---|
| api.giphy.com/v1/gifs/<gif_id> |
| Request Parameters: | Example: | Description: |
|---|---|---|
| api_key: string(required) | YOUR_API_KEY | GIPHY API Key. |
| gif_id: string(required) | xT4uQulxzV39haRFjG | The ID of the GIF you want details for. |
| customer_id: string | e826c9fc5c929e0d6c6d423841a282aa | An identifier assigned to a user in your platform. Use it consistently across that user's requests. If you do not have your own user ID, you can use the identifier returned by the Random ID Endpoint. |
| rating: string | g | If the GIF has a rating higher than the rating parameter, the API will return an empty response with a Meta Object containing a 4xx error code. |
| country_code: string | US | Specify the country of origin of the end user request, in two-letter ISO 3166-1 alpha-2 format. Note: Please specify country code if requests are proxied through your service. |
| region: string | VA | Specify the country subdivision of the end user request, found in ISO 3166-2 format. Note: Please specify region if requests are proxied through your service and country_code is also proxied. |